Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cms
Class EncapsulatedContentInfo

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cms.EncapsulatedContentInfo

All Implemented Interfaces:
  ASN1Value

public class EncapsulatedContentInfo
extends java.lang.Object
implements ASN1Value

A CMS EncapsulatedContentInfo structure.

Inner Class Summary
`static class` | `EncapsulatedContentInfo.Template` A template for decoding a EncapsulatedContentInfo blob

Field Summary
`private OCTET_STRING` | `content`
`private OBJECT_IDENTIFIER` | `contentType`
`private SEQUENCE` | `sequence`
`static Tag` | `TAG`
`private static EncapsulatedContentInfo.Template` | `templateInstance`

Constructor Summary
`private` | `EncapsulatedContentInfo()`
`` | `EncapsulatedContentInfo(OBJECT_IDENTIFIER contentType, ASN1Value content)` Creates a EncapsulatedContentInfo with the given type and content.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`OCTET_STRING` | `getContent()` Returns the content encoded as an OCTET_STRING.
`OBJECT_IDENTIFIER` | `getContentType()` Returns the contentType field, which determines what kind of content is contained in this EncapsulatedContentInfo.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static EncapsulatedContentInfo.Template` | `getTemplate()` Returns a singleton instance of a decoding template for EncapsulatedContentInfo.
`boolean` | `hasContent()` Returns `true` if the content field is present.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

### contentType

    private OBJECT_IDENTIFIER contentType

### content

    private OCTET_STRING content

### sequence

    private SEQUENCE sequence

### templateInstance

    private static EncapsulatedContentInfo.Template templateInstance

Constructor Detail

### EncapsulatedContentInfo

    private EncapsulatedContentInfo()

### EncapsulatedContentInfo

    public EncapsulatedContentInfo(OBJECT_IDENTIFIER contentType,
                                   ASN1Value content)

  Creates a EncapsulatedContentInfo with the given type and content.
  Parameters:
    `contentType` - The contentType of the EncapsulatedContentInfo.
    `content` - The content of the EncapsulatedContentInfo. May be `null` to signify that the optional content field is not present.

Method Detail

### getContentType

    public OBJECT_IDENTIFIER getContentType()

  Returns the contentType field, which determines what kind of content is contained in this EncapsulatedContentInfo.

### hasContent

    public boolean hasContent()

  Returns `true` if the content field is present.

### getContent

    public OCTET_STRING getContent()

  Returns the content encoded as an OCTET_STRING. If there is no content, `null` is returned.

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### getTemplate

    public static EncapsulatedContentInfo.Template getTemplate()

  Returns a singleton instance of a decoding template for EncapsulatedContentInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD